Commit Diff
- Commit:
85ce82e504d4cd7d505d215c973e55cf14101cd8
- From:
- Alexander Barton <alex@barton.de>
- Date:
- Message:
- Testsuite start-server.sh: return correct exit code. src/testsuite/start-server.sh returns 0 when no errors occurred and the daemon has been startet and 1 on errors. Always returning 0 is wrong ...
- Actions:
- Patch | Tree
--- src/testsuite/start-server.sh +++ src/testsuite/start-server.sh @@ -45,6 +45,6 @@ pid=`./getpid.sh T-ngircd${id}` [ -n "$pid" ] && kill -0 $pid > /dev/null 2>&1; r=$? [ $r -eq 0 ] && echo " ok." || echo " failure!" -exit +exit $r # -eof-